close all;
clear all;
clc;
addpath('aux_files')
FedColors;

% swlt = readtable('Scratch/scatter_networth_c.csv');
sinc = readtable('Scratch/scatter_income_c.csv');
sage = readtable('Scratch/scatter_age_c.csv');

f = figure();
f.Position = [300 380 300 400];

% subplot(2,1,1);
% p = plot(swlt.networth/1000, 100*swlt.dc);
% xlabel('Net worth (thousands of dollars)')
% ylabel('Percent change in consumption')
% p.Marker = 'o';
% p.MarkerFaceColor = p.Color;
% ylim([0 1])



subplot(2,1,1);
p = plot(sinc.income_5, 100*sinc.dc);
xlabel('Income quintile',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 1.5])
xlim([0.5 5.5])
set(gca,'FontSize',14);
set(gca,'XTick',1:5);
set(gca,'TickLabelInterpreter','latex');

subplot(2,1,2);
p = plot(sage.age, 100*sage.dc);
xlabel('Age',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 1.5])
set(gca,'FontSize',14);
set(gca,'TickLabelInterpreter','latex');



set(gcf,'color','w')
set(gcf, 'PaperPositionMode', 'auto');
print('Plots/Fig3Right','-depsc');
