clear all



do Data/PSID_RAW/J309479.do
do Data/PSID_RAW/J309479_formats.do


//keep if ER30001 < 3000  // keep only the SRC sample
drop ER30001

rename ER77632 wgt

rename ER77448 income
rename ER72031 homevalue
rename ER77511 wealth
rename ER77587 expenditure  //  expenditure (ie home mortgage payments) not rental equivalent value of home expenditure
rename ER77588 consumption // replaced mortgage with rental equivalent value
rename ER77514 food
rename ER72017 age
rename ER76897 race
rename ER72030 housingtenure
gen laborincome = ER77315 + ER77343




regress expenditure income  if income < 175000  [aw = wgt]
regress expenditure income  if (income >= 175000 & income < 500000)  [aw = wgt]

gen yc = laborincome/expenditure

binscatter yc wealth if wealth < 2000000 [aw=wgt]
binscatter yc age  [aw=wgt]
