clc;
clear all;
close all;



%% Load data 
D = readtable('Data/MonthlyMortgageData.xlsx','Sheet','Data');
t = D.year + (D.month-1)/12;

%% 
f = figure();
f.Position = [0  0 800 400];

% p = plot(t,[D.FedFunds D.Mortgage30Y D.EffectiveMortgageRate]);
p = plot(t,[D.FedFunds D.Mortgage30Y]);

%%
p(1).LineWidth = 2;
p(1).Color = [0.4    0.4    0.4];
p(1).LineStyle = ':';

p(2).LineWidth = 2;
p(2).Color = [0.3    0.3    0.3];

% 
% p(3).LineWidth = 2;
% p(3).Color = [0    0    0];
% p(3).LineStyle = '-.';
% 

% L = legend('Federal Funds Rate', 'Offered Rate on New Mortgages', 'Average Outstanding Mortgage Rate');
L = legend('Federal Funds Rate', 'Offered Rate on New Mortgages');
L.Box = 'off';

ylabel('Percent')
set(gca,'FontSize',14)

%%
set(gcf,'color','w')
set(gcf, 'PaperPositionMode', 'auto');
print('Plots/Fig2','-depsc');

